/* /Layout/MainLayout.razor.rz.scp.css */
.page[b-nmogi7zpi2] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-nmogi7zpi2] {
    flex: 1;
}

.sidebar[b-nmogi7zpi2] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-nmogi7zpi2] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-nmogi7zpi2]  a, .top-row[b-nmogi7zpi2]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-nmogi7zpi2]  a:hover, .top-row[b-nmogi7zpi2]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-nmogi7zpi2]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-nmogi7zpi2] {
        justify-content: space-between;
    }

    .top-row[b-nmogi7zpi2]  a, .top-row[b-nmogi7zpi2]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-nmogi7zpi2] {
        flex-direction: row;
    }

    .sidebar[b-nmogi7zpi2] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-nmogi7zpi2] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-nmogi7zpi2]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-nmogi7zpi2], article[b-nmogi7zpi2] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* /Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-xz64h9cmv1] {
    background-color: rgba(255, 255, 255, 0.1);
}

.top-row[b-xz64h9cmv1] {
    min-height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-xz64h9cmv1] {
    font-size: 1.1rem;
}

.bi[b-xz64h9cmv1] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.bi-chat-heart-fill-nav-menu[b-xz64h9cmv1] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-chat-heart-fill' viewBox='0 0 16 16'%3E%3Cpath d='M8 15c4.418 0 8-3.134 8-7s-3.582-7-8-7-8 3.134-8 7c0 1.76.743 3.37 1.97 4.6-.097.302-.459 1.39-1.127 1.83a.5.5 0 0 0 .25.968C3.125 15.64 4.542 15 5.25 15A11.53 11.53 0 0 0 8 15z'/%3E%3Cpath fill='%23ff4d6d' d='M8 5.3c-.6-.7-1.7-.7-2.3 0-.6.6-.6 1.7 0 2.3L8 9.5l2.3-1.9c.6-.6.6-1.7 0-2.3-.6-.7-1.7-.7-2.3 0z'/%3E%3C/svg%3E");
}

.bi-camera-fill-nav-menu[b-xz64h9cmv1] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-camera' viewBox='0 0 16 16'%3E%3Cpath d='M15 12a1 1 0 0 1-1 1H2a1 1 0 0 1-1-1V6a1 1 0 0 1 1-1h1.172a3 3 0 0 0 2.12-.879l.83-.83A1 1 0 0 1 6.83 3h2.34a1 1 0 0 1 .71.29l.83.83A3 3 0 0 0 12.83 5H14a1 1 0 0 1 1 1v6zM2 4a2 2 0 0 0-2 2v6a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V6a2 2 0 0 0-2-2h-1.172a2 2 0 0 1-1.414-.586l-.828-.828A2 2 0 0 0 9.172 2H6.828a2 2 0 0 0-1.414.586l-.828.828A2 2 0 0 1 3.172 4H2z'/%3E%3Cpath d='M8 11a2.5 2.5 0 1 1 0-5 2.5 2.5 0 0 1 0 5zm0 1a3.5 3.5 0 1 0 0-7 3.5 3.5 0 0 0 0 7zM3 6.5a.5.5 0 1 1-1 0 .5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}

.bi-clock-fill-nav-menu[b-xz64h9cmv1] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-clock-fill' viewBox='0 0 16 16'%3E%3Cpath d='M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zM8 3.5a.5.5 0 0 0-1 0V9a.5.5 0 0 0 .252.434l3.5 2a.5.5 0 0 0 .496-.868L8 8.71V3.5z'/%3E%3Cpath fill='%23ff4d6d' d='M8 7.8c-.3-.3-.8-.3-1.1 0-.3.3-.3.8 0 1.1L8 10.5l1.1-.9c.3-.3.3-.8 0-1.1-.3-.3-.8-.3-1.1 0z'/%3E%3C/svg%3E");
}

.bi-heart-fill-nav-menu[b-xz64h9cmv1] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='%23ff4d6d' class='bi bi-heart-fill' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M8 1.314C12.438-3.248 23.534 4.735 8 15-7.534 4.736 3.562-3.248 8 1.314z'/%3E%3C/svg%3E");
}

.bi-geo-alt-fill-nav-menu[b-xz64h9cmv1] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-geo-alt-fill' viewBox='0 0 16 16'%3E%3Cpath d='M8 16s6-5.686 6-10A6 6 0 0 0 2 6c0 4.314 6 10 6 10zm0-7a3 3 0 1 1 0-6 3 3 0 0 1 0 6z'/%3E%3Cpath fill='%23ff4d6d' d='M8 4.8c-.3-.3-.8-.3-1.1 0-.3.3-.3.8 0 1.1L8 7.5l1.1-.9c.3-.3.3-.8 0-1.1-.3-.3-.8-.3-1.1 0z'/%3E%3C/svg%3E");
}

.bi-list-nested-nav-menu[b-xz64h9cmv1] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.nav-item[b-xz64h9cmv1] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-xz64h9cmv1] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-xz64h9cmv1] {
        padding-bottom: 1rem;
    }

    .nav-item[b-xz64h9cmv1]  a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

.nav-item[b-xz64h9cmv1]  a.active {
    background-color: rgba(255,255,255,0.37);
    color: white;
}

.nav-item[b-xz64h9cmv1]  a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

@media (min-width: 641px) {
    .navbar-toggler[b-xz64h9cmv1] {
        display: none;
    }

    .collapse[b-xz64h9cmv1] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }

    .nav-scrollable[b-xz64h9cmv1] {
        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}

.nav-scrollable.collapse[b-xz64h9cmv1] {
    visibility: visible;
}
